Skip to main content
`Ctrl`+`K`

# PCFieldSplitGetDMSplits

Returns flag indicating whether `DMCreateFieldDecomposition()` should be used to define the splits in a `PCFIELDSPLIT`, whenever possible.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetDMSplits(PC pc, PetscBool *flg)

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- flg - boolean indicating whether to use field splits defined by the `DM`

## Developer Note

The name should be `PCFieldSplitGetUseDMSplits()`

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCFIELDSPLIT`, `PCFieldSplitSetDMSplits()`, `DMCreateFieldDecomposition()`, `PCFieldSplitSetFields()`, `PCFieldSplitSetIS()`

## Level

intermediate

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages